FDASD(8)

NAME
fdasd - partitioning tool.

SYNOPSIS
interactive mode:
     fdasd [-s] [-r] [-C] device
command line mode:
     fdasd [-s] [-r] [-C] {-a[-k|-l volser]|-i|-p|-c conf_file} [-f [type,blocksize]] device
help:
     fdasd {-h|-v}

DESCRIPTION
fdasd writes a partition table to a cdl (compatible disk layout) formatted DASD, in the form of a VTOC (volume table of contents) for usage with Linux for S/390 or zSeries. If fdasd detects a valid VOL1 volume label, it will use it, otherwise it asks to write a new one.
Attention: Careless use of fdasd can result in loss of data.

OPTIONS

-h or --help
    Print usage information, then exit.

-v or --version
    Print version information, then exit.

-s or --silent
    Suppress messages in non-interactive mode.

-r or --verbose
    Provide more verbose output.

-a or --auto
    Automatically create a partition using the entire disk in non-interactive mode.

-k or --keep_volser
    Keeps the Volume Serial Number when writing the Volume Label.
    This is useful if the volume already has a Serial Number that should not be overwritten. This option is only applicable in non-interactive mode.

-l volser or --label volser
    Specify the volume serial.
    volser is interpreted as ASCII string and is automatically converted to uppercase, padded with blanks and finally converted to EBCDIC to be written to disk. This option is only applicable in non-interactive mode.
    Do not use the following reserved volume serial: SCRTCH, PRIVAT, MIGRAT, or Lnnnnn (L with five digit number); These are used as keywords by other operating systems (OS/390).
    A volume serial is 1 through 6 alphanumeric characters or one of the following special characters: $, #, @, %. All other characters are simply ignored.
    Try to avoid using special characters in the volume serial. This may cause problems accessing a disk by volser. In case you really have to use special characters, make sure you are using quotes. In addition there is a special handling for the '$' sign. Please specify it using '\$' if necessary.
    e.g. -l 'a@b\$c#' to get A@B$C#
    Omitting this parameter causes fdasd to ask for it in case it is needed.

-c conf_file or --config conf_file
    Use this option to create multiple partitions according to specifications in a configuration file, conf_file.
    The configuration file contains one line for each partition. The lines have this format:

    [<first>,<last>,<type>]
    where:
    <first> and <last> are numbers that specify the first and the last track of the partition. Instead of a numerical value, you can specify 'first' for the first possible track on the disk and 'last' for the last possible track on disk.
    <type> is optional and specifies the partition type. <type> can be one of: native, swap, raid, lvm, or gpfs. If omitted, 'native' is used.
    The configuration file of the following example specifies three partitions that use the entire disk:

    [first,1000]
    [1001,2000,swap]
    [2001,last,lvm]

-i or --volser
    Print the volume serial, then exit.

-p or --table
    Print partition table, then exit.
    In combination with the -s option fdasd will display a short version of the partition table.

-C or --check_host_count
    Force fdasd to check the host access open count to ensure the device is not online on another operating system instance

-f [type,blocksize] or --force [type,blocksize]
    Force fdasd to work on non DASD devices.
    If fdasd is to be used on a block device that is neither a native DASD nor exposes the proper disk geometry of a DASD of type 3390, then the --force option can be used to assume the geometry of a given device type. The default device type is 3390 and the default block size is 4096. An optional argument of <device type>,<blocksize> can be used to specify type and blocksize explicitly. For example: -f has the same effect as -f3390,4096 or --force=3390,4096 Valid device types are: 3390, 3380, 9345
    Valid block sizes are: 4096, 2048, 1024, 512 You can use the verbose option to get information about the disk geometry that fdasd has computed from device type and block size.

device
    This parameter specifies the device to be partitioned:

        /dev/dasd/xxxx/device
    where xxxx is the four-letter devno (device number).
    In case your are not using the device file system, please specify:

        /dev/dasdx
    where x is one or more lowercase letter(s) or any other device node specification configured by udev for kernel 2.6 or higher.

SEE ALSO
dasdfmt(8)